function tuo = set(tu,varargin)
% @TESTUNIT/SET  Returns the properties required from the user.
%
%  This is the main accessor setter method.

% Iterate on inputs
property_argin = varargin;
while length(property_argin) >= 2,
    % Get a pice of input
    prop = property_argin{1};
    val = property_argin{2};
    property_argin = property_argin(3:end);
    % Check type of prop:
    if not(isa(prop,'char'))
        error('A char is required for properties in get/set methods!');
    end
    % Check the required property:
    switch prop
        % Simple properties:
        case 'name'
            tu.name = val;
        case 'desc'
            tu.desc = val;
        case 'func'
            tu.func = val;
        case 'data'
            tu.tdata = val;
        case 'callbacks'
            tu.callbacks = val;
        case 'err'
            tu.err = val;
        % An unknown property:
        otherwise
            error('Unknown property!');
    end
end

% Returning:
tuo = tu;
