function val = get(ts,prop)
% @TESTSET/GET  Returns the properties rewuired from the user.
%
%  This is the main accessor getter method.

% Check type of prop:
if not(isa(prop,'char'))
    error('A char is required for properties in get/set methods!');
end

% Chenging some names:
if strcmp(prop,'env') prop='data'; end

% Check the required property:
switch prop
    % The set of tests:
    case 'tests'
        val = ts.tests;
    % A property that can be returned from the parent class:
    otherwise
        val = get(ts.testunit,prop);
end
