function val = get(tu,prop)
% @TESTUNIT/GET  Returns the properties required from the user.
%
%  This is the main accessor getter method.

% Check type of prop:
if not(isa(prop,'char'))
    error('A char is required for properties in get/set methods!');
end

% Check the required property:
switch prop
    % Simple properties:
    case 'name'
        val = tu.name;
    case 'desc'
        val = tu.desc;
    case 'func'
        val = tu.func;
    case 'callbacks'
        val = tu.callbacks;
    case 'status'
        val = tu.status;
    case 'data'
        val = tu.tdata;
    case 'results'
        val = tu.results;
    case 'stats'
        val = tu.stats;
    case 'err'
        val = tu.err;
    % An unknown property:
    otherwise
        error('Unknowk property!');
end
